/* -*-c-*-
 *
 * $Id: acconfig.h,v 1.1 2001/01/25 22:03:39 mdw Exp $
 *
 * Configuration data for Usernet
 *
 * (c) 1998 Mark Wooding
 */

/*----- Licensing notice --------------------------------------------------*
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------*
 *
 * $Log: acconfig.h,v $
 * Revision 1.1  2001/01/25 22:03:39  mdw
 * Initial check-in (somewhat belated).
 *
 */

#ifndef UNETCONF_H
#define UNETCONF_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Configuration data ------------------------------------------------*/
@TOP@

/* --- Package name and version number --- */

#define PACKAGE "usernet"
/* PACKAGE -- package name string */

#define VERSION "0.0"
/* VERSION -- package version number */

/* --- Device numbers --- */

#define UNET_MAJOR 120
/* UNET_MAJOR -- major device for /dev/unet and friends */

#define UNET_NPERSIST 1
/* UNET_NPERSIST -- number of persistent devices and interfaces */

#define UNET_TRANSMINOR 256
/* UNET_TRANSMINOR -- minor device number for create-a-transient device */

/* --- Other tweaking things --- */

#define UNET_QMAXLEN 64
/* UNET_QMAXLEN -- maximum number of packets waiting for collection */

#define UNET_MAXIF 32
/* UNET_MAX -- maximum number of unets to allow */

#undef UNET_DEBUG
/* UNET_DEBUG -- 1 for debugging on permanently, -1 for no debugging,
 * or 0 for debugging switchable at runtime */

@BOTTOM@

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
